# docker: ssh remote forwarding

## forward tcp port 22/ssh

```sh
$ docker run --rm -e BIND_ADDRESS=host-alias fphammerle/ssh-remote-forwarding
+ exec /bin/sh -c 'ssh -T -R $BIND_ADDRESS:22:$DOCKER_HOST_ADDRESS:22 serveo.net'
Hi there
Authenticated to serveo.net ([159.89.214.31]:22).
Forwarding SSH traffic from alias "host-alias"
```

### connect via jump host

```sh
$ ssh -J serveo.net host-alias
```
